using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GDBG_Selection1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridDataBoundGrid1.DataSource = GetTable();
            this.gridDataBoundGrid1.ListBoxSelectionMode = SelectionMode.MultiExtended;
            this.gridDataBoundGrid1.AllowSelection = GridSelectionFlags.Any | GridSelectionFlags.AlphaBlend;
            this.gridDataBoundGrid1.AlphaBlendSelectionColor = Color.FromArgb(127, 157, 185);
            //
            this.gridDataBoundGrid1.VerticalThumbTrack = true;
            this.gridDataBoundGrid1.VerticalScrollTips = true;
        }

        private void gridDataBoundGrid1_PrepareViewStyleInfo(object sender, Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventArgs e)
        {
            GridCurrentCell cc = this.gridDataBoundGrid1.CurrentCell;
            if (e.RowIndex == cc.RowIndex && e.ColIndex == cc.ColIndex)
                e.Style.BackColor = Color.FromArgb(232, 232, 241);
        }
        private DataTable GetTable()
        {
            DataTable dt = new DataTable("MyTable");

            int nCols = 5;
            int nRows = 1000;

            for (int i = 0; i < nCols; i++)
            {
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i)));
            }

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                {
                    dr[j] = string.Format("row{0} col{1}", i, j);
                }
                dt.Rows.Add(dr);
            }
            return dt;
        }
    }
}